commit 88e66634309c29a940a4336d6f1053f4f99fe4f3
Author: freddy77 <freddy77>
Date:   Wed Aug 4 07:09:19 2010 +0000

    remove assumption CS_FAIL == TDS_FAIL and CS_SUCCEED == TDS_SUCCEED

diff --git a/ChangeLog b/ChangeLog
index 0dbd95f..bbd7217 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Aug  4 09:08:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/cs.c src/ctlib/ctutil.c:
+	- remove assumption CS_FAIL == TDS_FAIL and CS_SUCCEED ==
+	  TDS_SUCCEED
+
 Wed Aug  4 08:55:25 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/odbc_util.c:
 	* src/odbc/unittests/describecol.c:
@@ -2808,4 +2813,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3106 2010/08/04 06:55:45 freddy77 Exp $
+$Id: ChangeLog,v 1.3107 2010/08/04 07:09:19 freddy77 Exp $
diff --git a/src/ctlib/cs.c b/src/ctlib/cs.c
index 14f126b..7a9a515 100644
--- a/src/ctlib/cs.c
+++ b/src/ctlib/cs.c
@@ -50,7 +50,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: cs.c,v 1.74 2010/04/13 13:19:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: cs.c,v 1.75 2010/08/04 07:09:19 freddy77 Exp $");
 
 static int _cs_datatype_length(int dtype);
 static CS_INT cs_diag_storemsg(CS_CONTEXT *context, CS_CLIENTMSG *message);
@@ -1131,7 +1131,7 @@ cs_strbuild(CS_CONTEXT * ctx, CS_CHAR * buffer, CS_INT buflen, CS_INT * resultle
 	    CS_CHAR * formats, CS_INT formatlen, ...)
 {
 	va_list ap;
-	CS_RETCODE rc;
+	int rc;
 
 	tdsdump_log(TDS_DBG_FUNC, "cs_strbuild(%p, %p, %d, %p, %p, %d, %p, %d)\n", 
 				ctx, buffer, buflen, resultlen, text, textlen, formats, formatlen);
@@ -1139,7 +1139,8 @@ cs_strbuild(CS_CONTEXT * ctx, CS_CHAR * buffer, CS_INT buflen, CS_INT * resultle
 	va_start(ap, formatlen);
 	rc = tds_vstrbuild(buffer, buflen, resultlen, text, textlen, formats, formatlen, ap);
 	va_end(ap);
-	return rc;
+
+	return rc == TDS_SUCCEED ? CS_SUCCEED : CS_FAIL;
 }
 
 CS_RETCODE
diff --git a/src/ctlib/ctutil.c b/src/ctlib/ctutil.c
index 900d55e..ada1778 100644
--- a/src/ctlib/ctutil.c
+++ b/src/ctlib/ctutil.c
@@ -32,7 +32,7 @@
 /* #include "fortify.h" */
 
 
-TDS_RCSID(var, "$Id: ctutil.c,v 1.30 2009/05/03 19:32:57 jklowden Exp $");
+TDS_RCSID(var, "$Id: ctutil.c,v 1.31 2010/08/04 07:09:19 freddy77 Exp $");
 
 /*
  * test include consistency 
@@ -50,8 +50,6 @@ TDS_RCSID(var, "$Id: ctutil.c,v 1.30 2009/05/03 19:32:57 jklowden Exp $");
 
 #define TEST_EQUAL(t,a,b) COMPILE_CHECK(t,a==b)
 
-TEST_EQUAL(t01,CS_FAIL,TDS_FAIL);
-TEST_EQUAL(t02,CS_SUCCEED,TDS_SUCCEED);
 TEST_EQUAL(t03,CS_NULLTERM,TDS_NULLTERM);
 TEST_EQUAL(t04,CS_CMD_SUCCEED,TDS_CMD_SUCCEED);
 TEST_EQUAL(t05,CS_CMD_FAIL,TDS_CMD_FAIL);
@@ -150,7 +148,7 @@ _ct_handle_server_message(const TDSCONTEXT * ctx_tds, TDSSOCKET * tds, TDSMESSAG
 	CS_SERVERMSG errmsg;
 	CS_CONNECTION *con = NULL;
 	CS_CONTEXT *ctx = NULL;
-	int ret = (int) CS_SUCCEED;
+	CS_RETCODE ret = CS_SUCCEED;
 
 	tdsdump_log(TDS_DBG_FUNC, "_ct_handle_server_message(%p, %p, %p)\n", ctx_tds, tds, msg);
 
@@ -187,5 +185,5 @@ _ct_handle_server_message(const TDSCONTEXT * ctx_tds, TDSSOCKET * tds, TDSMESSAG
 	} else if (con->ctx->_servermsg_cb) {
 		ret = con->ctx->_servermsg_cb(con->ctx, con, &errmsg);
 	}
-	return ret;
+	return ret == CS_SUCCEED ? TDS_SUCCEED : TDS_FAIL;
 }

